## r-cran-polycub 0.4

=== DESCRIPTION ===
Package: polyCub
Title: Cubature over Polygonal Domains
Version: 0.4-1
Date: 2013-12-05
Authors@R: c(person("Sebastian", "Meyer",
                    email = "Sebastian.Meyer@ifspm.uzh.ch",
                    role = c("aut","cre","trl")),
             person("Michael", "Hoehle",
                    email = "Michael.Hoehle@stat.uni-muenchen.de",
                    role = c("ths")))
Description: A package providing methods for cubature (numerical integration)
             over polygonal domains.
             Currently, four cubature methods are implemented:
             the two-dimensional midpoint rule (a simple wrapper around
             spatstat::as.im.function), the product Gauss cubature proposed
             by Sommariva and Vianello (2007), an adaptive cubature for
             isotropic functions via line integrate() along the boundary,
             and quasi-exact methods specific to the integration of the
             bivariate Gaussian density over polygonal and circular domains.
             For cubature over simple hypercubes, the
             packages cubature and R2Cuba are more appropriate.
License: GPL-2
URL: https://github.com/WastlM/polyCub
BugReports: https://github.com/WastlM/polyCub/issues
Depends: R (>= 2.15.0), methods, sp
Imports: grDevices, graphics, stats, spatstat, statmod
Suggests: lattice, testthat, mvtnorm, rgeos, gpclib
Packaged: 2013-12-05 14:17:44 UTC; sebastian
Author: Sebastian Meyer [aut, cre, trl],
  Michael Hoehle [ths]
Maintainer: Sebastian Meyer <Sebastian.Meyer@ifspm.uzh.ch>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-12-05 17:30:11

## r-cran-polycub 0.4-1

=== debian/changelog ===
r-cran-polycub (0.4-1-1) unstable; urgency=low

  * Initial release (Closes: #736509)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jan 2014 11:41:19 +0100

=== debian/control ===
Source: r-cran-polycub
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9.0),
               cdbs,
               r-base-dev,
               r-cran-sp,
               r-cran-spatstat,
               r-cran-statmod
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/trunk/packages/r-cran-polycub/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/trunk/packages/r-cran-polycub/trunk/
Homepage: http://cran.r-project.org/web/packages/polyCub/

Package: r-cran-polycub
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends},
         r-cran-sp,
         r-cran-spatstat,
         r-cran-statmod
Description: GNU R Cubature over Polygonal Domains
 PolyCub is a GNU R package providing methods for cubature (numerical
 integration) over polygonal domains. Currently, four cubature methods
 are implemented: the two-dimensional midpoint rule (a simple wrapper
 around spatstat::as.im.function), the product Gauss cubature proposed by
 Sommariva and Vianello (2007), an adaptive cubature for isotropic
 functions via line integrate() along the boundary, and quasi-exact
 methods specific to the integration of the bivariate Gaussian density
 over polygonal and circular domains. For cubature over simple
 hypercubes, the packages cubature and R2Cuba are more appropriate.

## r-cran-polycub 0.5

=== DESCRIPTION ===
Package: polyCub
Title: Cubature over Polygonal Domains
Version: 0.5-1
Date: 2014-10-24
Authors@R: c(person("Sebastian", "Meyer",
                    email = "Sebastian.Meyer@ifspm.uzh.ch",
                    role = c("aut","cre","trl")),
             person("Michael", "Hoehle",
                    email = "Michael.Hoehle@stat.uni-muenchen.de",
                    role = c("ths")))
Description: A package providing methods for cubature (numerical integration)
             over polygonal domains.
             Currently, four cubature methods are implemented:
             the two-dimensional midpoint rule as a simple wrapper around
             as.im.function() from package spatstat (Baddeley and Turner, 2005),
             the product Gauss cubature by Sommariva and Vianello (2007),
             an adaptive cubature for isotropic functions via line integrate()
             along the boundary (Meyer and Held, 2014),
             and quasi-exact methods specific to the integration of the
             bivariate Gaussian density over polygonal and circular domains
             (based on formulae from the Abramowitz and Stegun (1972) handbook).
             For cubature over simple hypercubes, the packages "cubature" and
             "R2Cuba" are more appropriate.
License: GPL-2
URL: https://github.com/WastlM/polyCub
BugReports: https://github.com/WastlM/polyCub/issues
Depends: R (>= 2.15.0), methods, sp
Imports: grDevices, graphics, stats, spatstat
Suggests: lattice, testthat, mvtnorm, statmod, rgeos, gpclib
Packaged: 2014-10-24 09:15:32 UTC; sebastian
Author: Sebastian Meyer [aut, cre, trl],
  Michael Hoehle [ths]
Maintainer: Sebastian Meyer <Sebastian.Meyer@ifspm.uzh.ch>
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-10-24 13:52:14

## r-cran-polycub 0.5-0

=== debian/changelog ===
r-cran-polycub (0.5-0-1) unstable; urgency=medium

  * New upstream version
  * Add autopkgtest (skipped gpclib test since gpclib is non-free)

 -- Andreas Tille <tille@debian.org>  Mon, 23 Jun 2014 15:18:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: r-cran-polycub
 Section: gnu-r
 Priority: optional
+Testsuite: autopkgtest
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 9.0),
@@ -15,8 +16,9 @@
 Homepage: http://cran.r-project.org/web/packages/polyCub/
 
 Package: r-cran-polycub
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends},
+         ${shlibs:Depends},
          ${R:Depends},
          r-cran-sp,
          r-cran-spatstat,

## r-cran-polycub 0.5-1

=== debian/changelog ===
r-cran-polycub (0.5-1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 25 Oct 2014 10:34:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: r-cran-polycub
-Section: gnu-r
-Priority: optional
-Testsuite: autopkgtest
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest
+Priority: optional
 Build-Depends: debhelper (>= 9.0),
                cdbs,
                r-base-dev,
                r-cran-sp,
                r-cran-spatstat,
                r-cran-statmod
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/trunk/packages/r-cran-polycub/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/trunk/packages/r-cran-polycub/trunk/
 Homepage: http://cran.r-project.org/web/packages/polyCub/

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/polyCub_([-\d.]*)\.tar\.gz

## r-cran-polycub 0.5-2

=== debian/changelog ===
r-cran-polycub (0.5-2-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 14 Nov 2016 12:07:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,25 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9.0),
-               cdbs,
+               dh-r,
                r-base-dev,
                r-cran-sp,
                r-cran-spatstat,
                r-cran-statmod
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/trunk/packages/r-cran-polycub/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-science/packages/R/trunk/packages/r-cran-polycub/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/trunk/packages/r-cran-polycub/trunk/
-Homepage: http://cran.r-project.org/web/packages/polyCub/
+Homepage: https://cran.r-project.org/package=polyCub
 
 Package: r-cran-polycub
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${R:Depends},
-         r-cran-sp,
-         r-cran-spatstat,
-         r-cran-statmod
+         ${R:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R Cubature over Polygonal Domains
  PolyCub is a GNU R package providing methods for cubature (numerical
  integration) over polygonal domains. Currently, four cubature methods

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/polyCub_([-\d.]*)\.tar\.gz

## r-cran-polycub 0.6.1

=== DESCRIPTION ===
Package: polyCub
Title: Cubature over Polygonal Domains
Version: 0.6.1
Date: 2017-10-02
Authors@R: c(
    person("Sebastian", "Meyer",
           email = "seb.meyer@fau.de",
           role = c("aut","cre","trl")),
    person("Leonhard", "Held",
           email = "Leonhard.Held@uzh.ch",
           role = "ths"),
    person("Michael", "Hoehle",
           email = "hoehle@math.su.se",
           role = "ths")
    )
Description: The following methods for cubature (numerical integration)
    over polygonal domains are currently implemented:
    the two-dimensional midpoint rule as a simple wrapper around
    as.im.function() from package 'spatstat' (Baddeley and Turner, 2005),
    the product Gauss cubature by Sommariva and Vianello (2007),
    an adaptive cubature for isotropic functions via line integrate()
    along the boundary (Meyer and Held, 2014),
    and quasi-exact methods specific to the integration of the
    bivariate Gaussian density over polygonal and circular domains
    (based on formulae from the Abramowitz and Stegun (1972) handbook).
    For cubature over simple hypercubes, the packages 'cubature' and
    'R2Cuba' are more appropriate.
License: GPL-2
URL: https://github.com/WastlM/polyCub
BugReports: https://github.com/WastlM/polyCub/issues
Depends: R (>= 2.15.0), methods, sp (>= 1.0-11)
Imports: grDevices, graphics, stats
Suggests: spatstat, lattice, testthat, mvtnorm, statmod, rgeos, gpclib
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-10-02 14:57:04 UTC; smeyer
Author: Sebastian Meyer [aut, cre, trl],
  Leonhard Held [ths],
  Michael Hoehle [ths]
Maintainer: Sebastian Meyer <seb.meyer@fau.de>
Repository: CRAN
Date/Publication: 2017-10-02 15:49:17 UTC

=== debian/changelog ===
r-cran-polycub (0.6.1-3) unstable; urgency=medium

  * Team upload.
  * Add missing test dependencies: r-cran-statmod, gcc.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 14 Nov 2017 10:40:45 +0100

r-cran-polycub (0.6.1-2) unstable; urgency=medium

  * Team upload
  * drop redundant Build-Depends and update Description
  * update Upstream-Contact and Copyright, fix License
  * r-cran-spatstat is required for package tests

 -- Sebastian Meyer <seb.meyer@fau.de>  Mon, 13 Nov 2017 10:55:09 +0100

r-cran-polycub (0.6.1-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Secure URI in watch file
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Fri, 20 Oct 2017 16:18:32 +0200

r-cran-polycub (0.6.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Sep 2017 21:55:13 +0200

=== debian/control ===
Source: r-cran-polycub
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-sp
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-polycub.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-polycub.git
Homepage: https://cran.r-project.org/package=polyCub

Package: r-cran-polycub
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Cubature over Polygonal Domains
 The following methods for cubature (numerical integration)
 over polygonal domains are currently implemented:
 the two-dimensional midpoint rule as a simple wrapper around
 as.im.function() from package 'spatstat' (Baddeley and Turner, 2005),
 the product Gauss cubature by Sommariva and Vianello (2007),
 an adaptive cubature for isotropic functions via line integrate()
 along the boundary (Meyer and Held, 2014),
 and quasi-exact methods specific to the integration of the
 bivariate Gaussian density over polygonal and circular domains
 (based on formulae from the Abramowitz and Stegun (1972) handbook).
 For cubature over simple hypercubes, the packages 'cubature' and
 'R2Cuba' are more appropriate.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-spatstat, r-cran-statmod, gcc
Restrictions: allow-stderr

## r-cran-polycub 0.7.0

=== DESCRIPTION ===
Package: polyCub
Title: Cubature over Polygonal Domains
Version: 0.7.0
Date: 2018-10-11
Authors@R: c(
    person("Sebastian", "Meyer",
           email = "seb.meyer@fau.de",
           role = c("aut","cre","trl"),
           comment = c(ORCID = "0000-0002-1791-9449")),
    person("Leonhard", "Held",
           email = "Leonhard.Held@uzh.ch",
           role = "ths"),
    person("Michael", "Hoehle",
           email = "hoehle@math.su.se",
           role = "ths")
    )
Description: Numerical integration of continuously differentiable
    functions f(x,y) over simple closed polygonal domains.
    The following cubature methods are implemented:
    product Gauss cubature (Sommariva and Vianello, 2007,
    <doi:10.1007/s10543-007-0131-2>),
    the simple two-dimensional midpoint rule
    (wrapping 'spatstat' functions),
    adaptive cubature for radially symmetric functions via line
    integrate() along the polygon boundary (Meyer and Held, 2014,
    <doi:10.1214/14-AOAS743>, Supplement B),
    and integration of the bivariate Gaussian density based on a
    triangulation of the polygonal domain.
    For simple integration along the axes, the packages 'cubature'
    and 'R2Cuba' are more appropriate.
License: GPL-2
URL: https://github.com/bastistician/polyCub
BugReports: https://github.com/bastistician/polyCub/issues
Depends: R (>= 2.15.0), methods
Imports: grDevices, graphics, stats, sp (>= 1.0-11)
Suggests: spatstat, lattice, testthat, mvtnorm, statmod, rgeos, gpclib,
        cubature
RoxygenNote: 6.1.0
NeedsCompilation: yes
Packaged: 2018-10-11 15:14:49 UTC; smeyer
Author: Sebastian Meyer [aut, cre, trl]
    (<https://orcid.org/0000-0002-1791-9449>),
  Leonhard Held [ths],
  Michael Hoehle [ths]
Maintainer: Sebastian Meyer <seb.meyer@fau.de>
Repository: CRAN
Date/Publication: 2018-10-11 16:00:03 UTC

=== debian/changelog ===
r-cran-polycub (0.7.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1
  * Drop gpclib patch since upstream deals with this properly now

 -- Andreas Tille <tille@debian.org>  Sun, 14 Oct 2018 09:18:48 +0200

r-cran-polycub (0.6.1-4) unstable; urgency=medium

  [ Graham Inggs ]
  * Update test Depends: build-essential instead of gcc

  [ Andreas Tille ]
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 15:33:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: r-cran-polycub
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-sp
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-polycub.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-polycub.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-polycub
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-polycub.git
 Homepage: https://cran.r-project.org/package=polyCub
 
 Package: r-cran-polycub
 Architecture: any
-Depends: ${misc:Depends},
+Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${R:Depends}
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R Cubature over Polygonal Domains

## r-cran-polycub 0.7.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: polyCub
 Title: Cubature over Polygonal Domains
-Version: 0.7.0
-Date: 2018-10-11
+Version: 0.7.1
+Date: 2019-02-07
 Authors@R: c(
     person("Sebastian", "Meyer",
            email = "seb.meyer@fau.de",
@@ -24,24 +24,25 @@
     adaptive cubature for radially symmetric functions via line
     integrate() along the polygon boundary (Meyer and Held, 2014,
     <doi:10.1214/14-AOAS743>, Supplement B),
-    and integration of the bivariate Gaussian density based on a
-    triangulation of the polygonal domain.
-    For simple integration along the axes, the packages 'cubature'
-    and 'R2Cuba' are more appropriate.
+    and integration of the bivariate Gaussian density based on
+    polygon triangulation.
+    For simple integration along the axes, the 'cubature' package
+    is more appropriate.
 License: GPL-2
 URL: https://github.com/bastistician/polyCub
 BugReports: https://github.com/bastistician/polyCub/issues
 Depends: R (>= 2.15.0), methods
 Imports: grDevices, graphics, stats, sp (>= 1.0-11)
 Suggests: spatstat, lattice, testthat, mvtnorm, statmod, rgeos, gpclib,
-        cubature
-RoxygenNote: 6.1.0
+        cubature, knitr, rmarkdown, microbenchmark
+RoxygenNote: 6.1.1
+VignetteBuilder: knitr, rmarkdown
 NeedsCompilation: yes
-Packaged: 2018-10-11 15:14:49 UTC; smeyer
+Packaged: 2019-02-07 10:20:59 UTC; smeyer
 Author: Sebastian Meyer [aut, cre, trl]
     (<https://orcid.org/0000-0002-1791-9449>),
   Leonhard Held [ths],
   Michael Hoehle [ths]
 Maintainer: Sebastian Meyer <seb.meyer@fau.de>
 Repository: CRAN
-Date/Publication: 2018-10-11 16:00:03 UTC
+Date/Publication: 2019-02-07 16:30:02 UTC

=== debian/changelog ===
r-cran-polycub (0.7.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2019 11:09:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-sp
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-polycub
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-polycub.git
 Homepage: https://cran.r-project.org/package=polyCub

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-spatstat, r-cran-statmod, build-essential
Restrictions: allow-stderr

## r-cran-polycub 0.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: polyCub
 Title: Cubature over Polygonal Domains
-Version: 0.7.1
-Date: 2019-02-07
+Version: 0.8.0
+Date: 2021-01-26
 Authors@R: c(
     person("Sebastian", "Meyer",
            email = "seb.meyer@fau.de",
@@ -20,7 +20,7 @@
     product Gauss cubature (Sommariva and Vianello, 2007,
     <doi:10.1007/s10543-007-0131-2>),
     the simple two-dimensional midpoint rule
-    (wrapping 'spatstat' functions),
+    (wrapping 'spatstat.geom' functions),
     adaptive cubature for radially symmetric functions via line
     integrate() along the polygon boundary (Meyer and Held, 2014,
     <doi:10.1214/14-AOAS743>, Supplement B),
@@ -33,16 +33,16 @@
 BugReports: https://github.com/bastistician/polyCub/issues
 Depends: R (>= 2.15.0), methods
 Imports: grDevices, graphics, stats, sp (>= 1.0-11)
-Suggests: spatstat, lattice, testthat, mvtnorm, statmod, rgeos, gpclib,
+Suggests: spatstat.geom, lattice, mvtnorm, statmod, rgeos, gpclib, sf,
         cubature, knitr, rmarkdown, microbenchmark
-RoxygenNote: 6.1.1
 VignetteBuilder: knitr, rmarkdown
+RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2019-02-07 10:20:59 UTC; smeyer
+Packaged: 2021-01-26 18:10:15 UTC; smeyer
 Author: Sebastian Meyer [aut, cre, trl]
     (<https://orcid.org/0000-0002-1791-9449>),
   Leonhard Held [ths],
   Michael Hoehle [ths]
 Maintainer: Sebastian Meyer <seb.meyer@fau.de>
 Repository: CRAN
-Date/Publication: 2019-02-07 16:30:02 UTC
+Date/Publication: 2021-01-27 00:30:06 UTC

=== debian/changelog ===
r-cran-polycub (0.8.0-2) unstable; urgency=medium

  * Use r-cran-spatstat.geom in autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 12 Feb 2021 09:36:31 +0100

r-cran-polycub (0.8.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Sat, 30 Jan 2021 15:23:51 +0100

r-cran-polycub (0.7.1-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 11:07:03 +0200

=== debian/control ===
Source: r-cran-polycub
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-sp
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-polycub
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-polycub.git
Homepage: https://cran.r-project.org/package=polyCub
Rules-Requires-Root: no

Package: r-cran-polycub
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Cubature over Polygonal Domains
 Numerical integration of continuously differentiable
 functions f(x,y) over simple closed polygonal domains.
 The following cubature methods are implemented:
 product Gauss cubature (Sommariva and Vianello, 2007,
 <doi:10.1007/s10543-007-0131-2>),
 the simple two-dimensional midpoint rule
 (wrapping 'spatstat.geom' functions),
 adaptive cubature for radially symmetric functions via line
 integrate() along the polygon boundary (Meyer and Held, 2014,
 <doi:10.1214/14-AOAS743>, Supplement B),
 and integration of the bivariate Gaussian density based on
 polygon triangulation.
 For simple integration along the axes, the 'cubature' package
 is more appropriate.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-spatstat.geom, r-cran-statmod, build-essential
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/polyCub_([-\d.]*)\.tar\.gz

## r-cran-polycub 0.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: polyCub
 Title: Cubature over Polygonal Domains
-Version: 0.8.0
-Date: 2021-01-26
+Version: 0.8.1
+Date: 2022-11-25
 Authors@R: c(
     person("Sebastian", "Meyer",
            email = "seb.meyer@fau.de",
@@ -36,13 +36,13 @@
 Suggests: spatstat.geom, lattice, mvtnorm, statmod, rgeos, gpclib, sf,
         cubature, knitr, rmarkdown, microbenchmark
 VignetteBuilder: knitr, rmarkdown
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.2
 NeedsCompilation: yes
-Packaged: 2021-01-26 18:10:15 UTC; smeyer
+Packaged: 2022-11-25 16:25:35 UTC; smeyer
 Author: Sebastian Meyer [aut, cre, trl]
     (<https://orcid.org/0000-0002-1791-9449>),
   Leonhard Held [ths],
   Michael Hoehle [ths]
 Maintainer: Sebastian Meyer <seb.meyer@fau.de>
 Repository: CRAN
-Date/Publication: 2021-01-27 00:30:06 UTC
+Date/Publication: 2022-11-28 15:30:02 UTC

=== debian/changelog ===
r-cran-polycub (0.8.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2022 14:53:08 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-sp
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-polycub
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-polycub.git
 Homepage: https://cran.r-project.org/package=polyCub

## r-cran-polycub 0.9.0

=== DESCRIPTION ===
Package: polyCub
Title: Cubature over Polygonal Domains
Version: 0.9.0
Date: 2023-10-25
Authors@R: c(
    person("Sebastian", "Meyer",
           email = "seb.meyer@fau.de",
           role = c("aut","cre","trl"),
           comment = c(ORCID = "0000-0002-1791-9449")),
    person("Leonhard", "Held",
           email = "Leonhard.Held@uzh.ch",
           role = "ths"),
    person("Michael", "Hoehle",
           email = "hoehle@math.su.se",
           role = "ths")
    )
Description: Numerical integration of continuously differentiable
    functions f(x,y) over simple closed polygonal domains.
    The following cubature methods are implemented:
    product Gauss cubature (Sommariva and Vianello, 2007,
    <doi:10.1007/s10543-007-0131-2>),
    the simple two-dimensional midpoint rule
    (wrapping 'spatstat.geom' functions), and
    adaptive cubature for radially symmetric functions via line
    integrate() along the polygon boundary (Meyer and Held, 2014,
    <doi:10.1214/14-AOAS743>, Supplement B).
    For simple integration along the axes, the 'cubature' package
    is more appropriate.
License: GPL-2
URL: https://github.com/bastistician/polyCub
BugReports: https://github.com/bastistician/polyCub/issues
Depends: R (>= 3.2.0), methods
Imports: grDevices, graphics, stats, sp (>= 1.0-11)
Suggests: spatstat.geom, lattice, mvtnorm, statmod, sf, cubature,
        knitr, rmarkdown, microbenchmark
VignetteBuilder: knitr, rmarkdown
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-10-25 10:27:24 UTC; smeyer
Author: Sebastian Meyer [aut, cre, trl]
    (<https://orcid.org/0000-0002-1791-9449>),
  Leonhard Held [ths],
  Michael Hoehle [ths]
Maintainer: Sebastian Meyer <seb.meyer@fau.de>
Repository: CRAN
Date/Publication: 2023-10-25 11:50:02 UTC

=== debian/changelog ===
r-cran-polycub (0.9.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 15:01:49 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-sp
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-polycub
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-polycub.git
 Homepage: https://cran.r-project.org/package=polyCub

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-spatstat.geom,
        r-cran-lattice,
        r-cran-mvtnorm,
        r-cran-statmod,
        r-cran-sf,
        r-cran-cubature,
        r-cran-knitr,
        r-cran-rmarkdown,
        build-essential
Restrictions: allow-stderr

## r-cran-polycub 0.9.1

=== debian/changelog ===
r-cran-polycub (0.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 02 Jul 2024 08:47:20 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-sp
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-polycub
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-polycub.git
 Homepage: https://cran.r-project.org/package=polyCub

## r-cran-polycub 0.9.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: polyCub
 Title: Cubature over Polygonal Domains
-Version: 0.9.0
-Date: 2023-10-25
+Version: 0.9.2
+Date: 2025-02-11
 Authors@R: c(
     person("Sebastian", "Meyer",
            email = "seb.meyer@fau.de",
@@ -32,15 +32,15 @@
 Depends: R (>= 3.2.0), methods
 Imports: grDevices, graphics, stats, sp (>= 1.0-11)
 Suggests: spatstat.geom, lattice, mvtnorm, statmod, sf, cubature,
-        knitr, rmarkdown, microbenchmark
-VignetteBuilder: knitr, rmarkdown
-RoxygenNote: 7.2.3
+        knitr, markdown, microbenchmark
+VignetteBuilder: knitr
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2023-10-25 10:27:24 UTC; smeyer
+Packaged: 2025-02-11 14:09:39 UTC; smeyer
 Author: Sebastian Meyer [aut, cre, trl]
     (<https://orcid.org/0000-0002-1791-9449>),
   Leonhard Held [ths],
   Michael Hoehle [ths]
 Maintainer: Sebastian Meyer <seb.meyer@fau.de>
 Repository: CRAN
-Date/Publication: 2023-10-25 11:50:02 UTC
+Date/Publication: 2025-02-11 16:10:01 UTC

=== debian/changelog ===
r-cran-polycub (0.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Mar 2025 11:27:59 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-sp
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-polycub
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-polycub.git
 Homepage: https://cran.r-project.org/package=polyCub

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,6 @@
         r-cran-sf,
         r-cran-cubature,
         r-cran-knitr,
-        r-cran-rmarkdown,
+        r-cran-markdown,
         build-essential
 Restrictions: allow-stderr
